



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>阿里云CentOS 6.5 设备、执行Docker容器和步骤的方法</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">阿里云CentOS 6.5 设备、执行Docker容器和步骤的方法</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-02-14 03:12:52 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<div>
<div>
<ol><li>ssh阿里云计算落地<code>ssh username@ip</code></li>
<li><code>uname -a</code>  查看linux内核版本号，由于Docker推荐使用3.8内核以上，设版本号低可能会不稳定，因此须要选用yum方式升级内核。</li>
<li><p>导入 KEY ,安装软件源。在 YUM 的 ELRepo 源中，有mainline（3.13.1）、long-term（3.10.28）这 2 个内核版本号，考虑到 long-term 更稳定。会长期更新，所以选择这个版本号。</p>
<p><a href="http://jingyan.baidu.com/article/bea41d437e23bab4c51be623.html" rel="external nofollow noreferrer">点击查看方法来源</a></p>
<ul><li>导入public key：<code>rpm --import https://www.elrepo.org/RPM-GPG-KEY-elrepo.org</code></li>
<li>安装elRepo到centos中：<code>rpm -ivh http://www.elrepo.org/elrepo-release-6-5.el6.elrepo.noarch.rpm</code></li>
<li>安装kernel-lt （lt=long-term):  <code>yum --enablerepo=elrepo-kernel install kernel-lt -y</code></li></ul></li>
<li><p><code>vi /etc/grub.conf</code>    改动默认的启动内核。新安装的内核一般在第一个。这里把default = 1 改为 default = 0 就好了。然后重新启动云主机。</p></li>
<li><code>uname -a</code>    查看内核是否升级成功</li>
<li>（可选）删除旧内核</li>
<li>安装软件源，安装 Docker 软件。</li></ol>
<pre class="prettyprint linenums"><code>  yum install http://mirrors.yun-idc.com/epel/6/i386/epel-release-6-8.noarch.rpm<br />
  yum install docker-io</code></pre>
<p>8.</p>
<ul><li>启动docker</li></ul>
<pre class="prettyprint linenums"><code>    service docker start</code></pre>
<ul><li>查看docker 版本号</li></ul>
<pre class="prettyprint linenums"><code>    docker version</code></pre>
<p>初次执行可能会报：Cannot connect to the Docker daemon. Is ‘docker -d’ running on this host? <br /><br />
使用 <code>docker -d</code> 来查看具体的启动过程。</p>
<p>执行docker -d，通常会报：Could not find a free IP address range for interface ‘docker0’. Please configure its address manually and run ‘docker -b docker0’ <br /><br />
提示我们没有空余 ip 分配给 docker0 了。（阿里云ip问题？）于是须要用bip參数手工分配ip。比方：<code>docker -- bip=192.168.100.1/24 -d &amp;</code> <br /><br />
可能提示警告 Your kernel does not support cgroup swap limit.，我们能够使用 lxc-checkconfig 来检查。</p>
<p>假设执行docker -d 出现下面错误，安装device-mapper-libs可解决 <br /><br />
    INFO[0000] +job serveapi(unix:///var/run/docker.sock)</p>
<p>INFO[0000] Listening for HTTP on unix (/var/run/docker.sock)</p>
<p>INFO[0000] WARNING: You are running linux kernel version 2.6.32-504.8.1.el6.x86_64, which might be unstable running docker. Please upgrade your kernel to 3.8.0.</p>
<p>docker: relocation error: docker: symbol dm_task_get_info_with_deferred_remove, version Base not defined in file libdevmapper.so.1.02 with link time reference</p>
<p>// <strong>注意上面已经提示 内核版本号信息。但仅仅是 Warning 我们先无论它</strong></p>
<p><code>yum upgrade device-mapper-libs</code>   //安装这个包,解决上面的Error 错误信息 <br /><br />
9. <code>lxc-checkconfig</code>  检查kernel，看到 Control groups 项目都是支持的。所以我们可临时忽略这个告警。 <br /><br />
10. 測试使用</p>
<pre class="prettyprint linenums"><code>    docker run -i -t ubuntu /bin/bash</code></pre>
<p>相关參考： <br /><br />
<a href="http://segmentfault.com/a/1190000000751601" rel="external nofollow noreferrer">docker经常使用管理命令</a> <br /><br />
<a href="http://www.zhihu.com/question/25394149/answer/30671258" rel="external nofollow noreferrer">docker的几点疑问</a> <br /><br />
<a href="http://www.bubuko.com/infodetail-670295.html" rel="external nofollow noreferrer">折腾docker</a></p>
</div>
<div>
<p>版权声明：本文博主原创文章，博客，未经同意不得转载。</p></p></div>
</div>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/km8zldqy.html">一起来玩echarts系列（一）------箱线图的分析与绘制</a>
		</li>
						<li><a href="https://www.batexi.com/a/e9j1vg09.html">动态加载JS 和 CSS</a>
		</li>
						<li><a href="https://www.batexi.com/a/r93pp5w8.html">Linux0&period;11内核--系统调用机制分析</a>
		</li>
						<li><a href="https://www.batexi.com/a/5qy4dwgq.html">ubuntu实现ramdisk</a>
		</li>
						<li><a href="https://www.batexi.com/a/1q2rpyv9.html">MVC  ViewEngineResult实际上是一种设计</a>
		</li>
						<li><a href="https://www.batexi.com/a/jqd6l478.html">springmvc返回值、数据写到页面、表单提交、ajax、重定向</a>
		</li>
						<li><a href="https://www.batexi.com/a/q2w5w5xq.html">Struts2中s&colon;set标签和s&colon;if标签小结</a>
		</li>
						<li><a href="https://www.batexi.com/a/9pjwmz79.html">PHPnow升级PHP 5&period;4与Mysql 5&period;5</a>
		</li>
						<li><a href="https://www.batexi.com/a/8k15v139.html">uva 11234 Expressions 表达式 建树&plus;BFS层次遍历</a>
		</li>
						<li><a href="https://www.batexi.com/a/q4y7p55q.html">【线性结构上的动态规划】UVa 11584 - Partitioning by Palindromes</a>
		</li>
						<li><a href="https://www.batexi.com/a/qlmzzvk9.html">面试题：对一个正整数n，算得到1需要的最少操作次数</a>
		</li>
						<li><a href="https://www.batexi.com/a/96p711v8.html">GoldenGate 传统抽取进程的 ADG 模式</a>
		</li>
						<li><a href="https://www.batexi.com/a/qy1r2vgq.html">每天一个linux命令&lpar;39&rpar;--ifconfig命令</a>
		</li>
						<li><a href="https://www.batexi.com/a/8eylrgj9.html">IT轮子系列（一）&mdash;&mdash;DropDownList 的绑定，你秒懂了吗</a>
		</li>
						<li><a href="https://www.batexi.com/a/qwj7o3z8.html">springmvc 学习资料</a>
		</li>
						<li><a href="https://www.batexi.com/a/qxk06w08.html">Servlet的相关类--ServletConfig（接口）</a>
		</li>
						<li><a href="https://www.batexi.com/a/8kjvw639.html">视频编码---mjpeg</a>
		</li>
						<li><a href="https://www.batexi.com/a/qxdyljd9.html">git 设置tracking information</a>
		</li>
						<li><a href="https://www.batexi.com/a/90rn1en9.html">More Effective C&plus;&plus; 条款0，1</a>
		</li>
						<li><a href="https://www.batexi.com/a/9pw6kjz8.html">Python HTTP 请求时对重定向中的 cookie 的处理</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/q1kkl209.html">原生javascript学习</a>
			</li>
						<li><a href="https://www.batexi.com/a/qv11kgoq.html">图表引擎AChartEngine 二</a>
			</li>
						<li><a href="https://www.batexi.com/a/8zoo6v1q.html">如何解决vector 析构函数的异常 opencv Assert &lowbar;CrtIsValidHeapPointer</a>
			</li>
						<li><a href="https://www.batexi.com/a/9500zpm8.html">POJ 1915 Knight Moves&lpar;BFS&plus;STL&rpar;</a>
			</li>
						<li><a href="https://www.batexi.com/a/96pplwv8.html">算法---高速分拣&lpar;quick sort&rpar;</a>
			</li>
						<li><a href="https://www.batexi.com/a/q4zz3xn9.html">接近带给你AngularJS - 经验说明示例</a>
			</li>
						<li><a href="https://www.batexi.com/a/q4zzwp39.html">POJ 2756 Autumn is a Genius 采用string大数减法</a>
			</li>
						<li><a href="https://www.batexi.com/a/8zoox41q.html">汉字Collection</a>
			</li>
						<li><a href="https://www.batexi.com/a/9geekoz8.html">漫话Unity3D（三）</a>
			</li>
						<li><a href="https://www.batexi.com/a/9jzzrje8.html">Java写程序猿专访String2</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
